package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridHouseInterview;
import com.ruoyi.system.domain.grid.GridHouseInterviewExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface GridHouseInterviewMapper {
    long countByExample(GridHouseInterviewExample example);

    int deleteByExample(GridHouseInterviewExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridHouseInterview record);

    int insertSelective(GridHouseInterview record);

    List<GridHouseInterview> selectByExample(GridHouseInterviewExample example);

    GridHouseInterview selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridHouseInterview record, @Param("example") GridHouseInterviewExample example);

    int updateByExample(@Param("record") GridHouseInterview record, @Param("example") GridHouseInterviewExample example);

    int updateByPrimaryKeySelective(GridHouseInterview record);

    int updateByPrimaryKey(GridHouseInterview record);
}
